VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Message Reader Engine (ActiveX edition): VB6 demo "
   ClientHeight    =   9360
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   10155
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   9360
   ScaleWidth      =   10155
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame frameAttachment 
      Caption         =   " Attachments "
      Height          =   1695
      Left            =   120
      TabIndex        =   11
      Top             =   7580
      Width           =   9855
      Begin VB.ListBox lstAttachment 
         Height          =   1230
         ItemData        =   "Form1.frx":0000
         Left            =   120
         List            =   "Form1.frx":0002
         TabIndex        =   12
         Top             =   240
         Width           =   9615
      End
   End
   Begin VB.Frame frameMessage 
      Caption         =   " Message details "
      Height          =   6735
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   9855
      Begin VB.TextBox edHTMLBody 
         Height          =   1335
         Left            =   120
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   16
         Top             =   5385
         Width           =   9615
      End
      Begin VB.TextBox edRTFBody 
         Height          =   1335
         Left            =   120
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   14
         Top             =   3705
         Width           =   9615
      End
      Begin VB.TextBox edBody 
         Height          =   1335
         Left            =   120
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   10
         Top             =   1920
         Width           =   9615
      End
      Begin VB.TextBox edSubject 
         Height          =   375
         Left            =   1080
         Locked          =   -1  'True
         TabIndex        =   9
         Top             =   1200
         Width           =   8600
      End
      Begin VB.TextBox edTo 
         Height          =   375
         Left            =   1080
         Locked          =   -1  'True
         TabIndex        =   7
         Top             =   720
         Width           =   8600
      End
      Begin VB.TextBox edFrom 
         Height          =   375
         Left            =   1080
         Locked          =   -1  'True
         TabIndex        =   6
         Top             =   240
         Width           =   8600
      End
      Begin VB.Label lblHTMLBody 
         Caption         =   "HTML body"
         Height          =   255
         Left            =   120
         TabIndex        =   17
         Top             =   5160
         Width           =   1215
      End
      Begin VB.Label lblRTFBody 
         Caption         =   "RTF body"
         Height          =   255
         Left            =   120
         TabIndex        =   15
         Top             =   3480
         Width           =   1215
      End
      Begin VB.Label lblBody 
         Caption         =   "Plain text body"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   1700
         Width           =   1215
      End
      Begin VB.Label lblSubject 
         Alignment       =   1  'Right Justify
         Caption         =   "Subject:"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   1320
         Width           =   855
      End
      Begin VB.Label lblTo 
         Alignment       =   1  'Right Justify
         Caption         =   "To:"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   840
         Width           =   855
      End
      Begin VB.Label lblFrom 
         Alignment       =   1  'Right Justify
         Caption         =   "From:"
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   360
         Width           =   855
      End
   End
   Begin VB.CommandButton cmdLoad 
      Caption         =   "Load file"
      Height          =   495
      Left            =   7560
      TabIndex        =   2
      Top             =   240
      Width           =   2415
   End
   Begin VB.TextBox edFileName 
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Text            =   "msgview.msg"
      Top             =   240
      Width           =   5895
   End
   Begin VB.Label lblFileName 
      Alignment       =   1  'Right Justify
      Caption         =   "File Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Function GetFileExt(ScanString As String) As String
    'Retrieves File Extension Name from full directory path
  
    Dim intPos As String
    Dim intPosSave As String
    
    If InStr(ScanString, ".") = 0 Then
        GetExtName = ""
        Exit Function
    End If
    
    intPos = 1
    Do
        intPos = InStr(intPos, ScanString, ".")
        If intPos = 0 Then
            Exit Do
        Else
            intPos = intPos + 1
            intPosSave = intPos - 1
        End If
    Loop

    GetFileExt = Trim$(Mid$(ScanString, intPosSave + 1))
End Function

Private Sub cmdLoad_Click()
    mfMSG = 0
    mfEML = 1
    mfTNEF = 2
    
    'load library
    Set msgLib = CreateObject("MsgLibA.ScalabiumMsgReader")
  
    'file name to load
    msgLib.FileName = edFileName.Text
    
    'detect the file type by extension
    strFileExt = UCase(GetFileExt(edFileName.Text))
    If (StrComp(strFileExt, "EML") = 0) Then
      msgLib.FileFormat = mfEML
    Else
        If (StrComp(strFileExt, "DAT") = 0) Then
            msgLib.FileFormat = mfTNEF
        Else
            msgLib.FileFormat = mfMSG
        End If
    End If
    
    'load/read file
    msgLib.Execute
    
    'read message properties
    edFrom.Text = msgLib.SenderName
    edTo.Text = msgLib.RecipientName
    edSubject.Text = msgLib.Subject
    
    
    'read attachments
    lstAttachment.Clear
    Set vProperties = msgLib.Properties
    'if we have one attachment only (winmail.dat) then load message from file (TNEF)
    'else add all attachments in list
    If (vProperties.AttachmentCount = 1) And _
       (StrComp(UCase(vProperties.Attachments(0).GetAttachmentName(0)), "WINMAIL.DAT") = 0) Then
       'save winmail.dat in app path
       vProperties.SaveAttachment 0, App.Path & "\winmail.dat"
       
       'load temp-file (winmail.dat)
       Set vProperties = Nothing
       msgLib.FileFormat = mfTNEF
       msgLib.FileName = App.Path & "\winmail.dat"
       msgLib.Execute
       Set vProperties = msgLib.Properties
    End If
       
    For i = 0 To vProperties.AttachmentCount - 1
       'read attachment name and add to list
       lstAttachment.AddItem vProperties.Attachments(i).GetAttachmentName(i)
    Next
          
    'read body (plain text, rtf, html)
    edBody.Text = msgLib.Body
    edRTFBody.Text = msgLib.RTFBody
    edHTMLBody.Text = msgLib.HTMLBody
    
    'release library
    Set vProperties = Nothing
    Set msgLib = Nothing
End Sub

Private Sub Form_Load()
    edFileName.Text = App.Path & "\" & edFileName.Text
End Sub

Private Sub Label1_Click()

End Sub
